VehicleFruitHud = {};
VehicleFruitHud.metadata = {
	interface = " FS19 ...",
	title = " VehicleFruit Hud",
	notes = " setzt Name/Prozent/Kapazität zusätzlich ins VehicleFruit Hud",
	author = " (by HappyLooser)",
	version = " v0.2",	
	datum = " 20.11.2018",
	update = " 27.11.2018",
	web = " no",
	info = " Link Freigabe,Änderungen,Kopien oder Code Benutzung ist ohne meine Zustimmung nicht erlaubt",
	"##Orginal Link Freigabe:"
};

function VehicleFruitHud:loadMap(name)
	if g_currentMission.vehicleFruitHud == nil then g_currentMission.vehicleFruitHud = true;end;
	print("---loading".. tostring(VehicleFruitHud.metadata.title).. tostring(VehicleFruitHud.metadata.version).. tostring(VehicleFruitHud.metadata.author).. "---")
end;

function VehicleFruitHud:deleteMap()	
end;

function VehicleFruitHud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function VehicleFruitHud:keyEvent(unicode, sym, modifier, isDown)	
end;

function VehicleFruitHud:update(dt)
end;

function VehicleFruitHud:draw(dt)
	if g_currentMission.hud.fillLevelsDisplay.vehicle ~= nil then		
		setTextColor(255/255, 255/255,   0/255, 1.00);
		setTextBold(true);
		if g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer ~= nil and type(g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer) == "table" and #g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer > 0 then
			local frameHeight = g_currentMission.hud.fillLevelsDisplay.frameHeight;
			for a=1, #g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer do
				if g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer[a] ~= nil then					
					local capacity = g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer[a].capacity or 0;
					local fillType = g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer[a].fillType or 0;
					local fillLevel = g_currentMission.hud.fillLevelsDisplay.fillLevelBuffer[a].fillLevel or 0;
					local percent = VehicleFruitHud:getProzentString(fillLevel, capacity);
					--local descFruit = g_currentMission.fruitTypeManager.fruitTypes[fillType]; --later fruitTypeIndexToFillType a test convertFruitViaFill
					local descFill = g_currentMission.fillTypeManager.fillTypes[fillType];
					if descFruit ~= nil and descFill ~= nil then 
						--if descFruit ~= descFill then descFill = descFruit;end;
					end;
					if descFill ~= nil then						
						local name = descFill.title or descFill.name;
						local txtHeight = getTextHeight(g_currentMission.hud.fillLevelsDisplay.fillLevelTextSize, tostring("Gg"));
						if capacity > 0 then 
							setTextAlignment(2);
							renderText(g_currentMission.hud.fillLevelsDisplay.origX+g_currentMission.hud.fillLevelsDisplay.overlay.width, g_currentMission.hud.fillLevelsDisplay.origY+(frameHeight*(a-1))-txtHeight, g_currentMission.hud.fillLevelsDisplay.fillLevelTextSize, tostring(capacity));
						
							if fillLevel > 0 then 
								setTextAlignment(0);
								renderText(g_currentMission.hud.fillLevelsDisplay.origX+(g_currentMission.hud.fillLevelsDisplay.overlay.width/5), g_currentMission.hud.fillLevelsDisplay.origY+(frameHeight*(a-1))-txtHeight, g_currentMission.hud.fillLevelsDisplay.fillLevelTextSize, tostring(percent).. "%");
							end;
						end;
						if not string.find(name, "Unknown") then
							setTextAlignment(2);
							renderText(g_currentMission.hud.fillLevelsDisplay.origX, g_currentMission.hud.fillLevelsDisplay.origY+(frameHeight*(a-1)), g_currentMission.hud.fillLevelsDisplay.fillLevelTextSize, tostring(name));
						end;
					end;
				end;
			end;
		end;
		--respect settings for other mods
		setTextAlignment(0);
		setTextColor(1, 1, 1, 1);
		setTextBold(false);
		--respect settings for other mods
	end;
end;
addModEventListener(VehicleFruitHud);

function VehicleFruitHud:getProzentString(fill, capacity)	
	return string.format("%1.0f", "".. tonumber(fill)/tonumber(capacity)*100);
end;